Summary: Tools for managing Linux kernel packet filtering capabilities.
Name: ipchains
Version: 1.3.10
Release: 10
License: GPL
Obsoletes: ipfwadm ipchains-scripts
Group: System Environment/Base
Source0: ipchains-%{version}.tar.bz2
Source1: ipchains-scripts-1.1.2.tar.bz2
Source2: http://netfilter.filewatcher.org/ipchains/HOWTO.sgml
Source3: ipchains.init
URL: http://netfilter.filewatcher.org/ipchains
Patch0: ipchains-1.3.10-nonroot.patch
Patch1: ipchains-1.3.10-fixman.patch
Patch2: ipchains-1.3.9-return.patch
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig /etc/init.d
BuildPrereq: perl, sgml-tools
Requires: sh-utils initscripts >= 5.54

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the Linux kernel packet filtering code. Ipchains
allows you to set up firewalls and IP masquerading.

%prep
%setup -q -a 1
%patch0 -p1 -b .nonroot
%patch1 -p1 -b .fixman
%patch2 -p1 -b .return
install -m644 %{SOURCE2} .

%build
make clean
make COPTS="$RPM_OPT_FLAGS"
sgml2html HOWTO.sgml
sgml2txt HOWTO.sgml
%{__perl} -pi -e 's/.//g' HOWTO.txt

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{sbin,%{_mandir}/man{4,8}}

make install SBIN=%{buildroot}/sbin MANDIR=%{buildroot}/%{_mandir}
cp ipchains-scripts-1.1.2/{ipchains-restore,ipchains-save} %{buildroot}/sbin
cp ipchains-scripts-1.1.2/ipfwadm-wrapper %{buildroot}/sbin/ipfwadm
ln -sf ipfwadm %{buildroot}/sbin/ipfwadm-wrapper
cp ipchains-scripts-1.1.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} %{buildroot}/%{_mandir}/man8

install -d -m 755 %{buildroot}/etc/rc.d/init.d
install -m 755 %{SOURCE3} %{buildroot}/etc/rc.d/init.d/ipchains

strip %{buildroot}/sbin/ipchains

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add ipchains

%preun
if [ $1 = 0 ] ; then
	/sbin/chkconfig --del ipchains
fi

%files
%defattr(-,root,root)
%doc *.html *.sgml *.txt
%doc COPYING README ipchains-quickref.ps
%attr(755,root,root) %config /etc/rc.d/init.d/ipchains
/sbin/*
%{_mandir}/man*/*

%changelog
* Sun Sep  2 2001 Mike A. Harris <mharris@redhat.com> 1.3.10-10
- Fixed modprobe related bug (SF#52604)

* Mon Jul 30 2001 Mike A. Harris <mharris@redhat.com> 1.3.10-9
- bzip2'd sources

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 20 2001 Mike A. Harris <mharris@redhat.com>
- Removed extraneous "\n" from Usage line in initscript (#28427)

* Thu Feb 08 2001 Karsten Hopp <karsten@redhat.de>
- fix bugzilla #24245  (permissions of rules file)
- fix bugzilla #25616  (restore -j RETURN not in RETURN chain)

* Mon Jan 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't set the init script 700, that's not where the rules are.
  They are in /etc/sysconfig/

* Sun Jan 28 2001 Mike A. Harris <mharris@redhat.com>
- Security fix (#24245) ipchains rules are visible only to root, however
  the initscript is world readable defeating the purpose of ipchains rules
  not being world readable.  Fixed using %%attr.

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- new style i18n init script

* Wed Jan 17 2001 Bill Nottingham <notting@redhat.com>
- load ipchains module if needed
- i18n-ize init script

* Tue Oct 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix missing case in init script's restore function (#18816)
- update to 1.3.10

* Thu Aug 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix sed usage (#16461)

* Tue Aug 15 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix sed-usage so minor version shows as xx, not xx-yy which
  confuses bash a lot when used in comparisons

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- use /bin/sed instead of /usr/bin/cut in the init script (#16252)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- default to starting in runlevels where network is up
- bail if we're not on a 2.2+ kernel

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't barf on blank lines in saved-rules file (#10907)
- clean up init script output a bit
- change perl to %{__perl} in build phase
- remove references to "ipchains-scripts" from the description (#9987)

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- don't prereq, only require initscripts

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix typo in Prereq

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- move initscript, fix manpage (#11425)

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- fixed non root builds
- use %%{_mandir}

* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- fix stupid typo in the preun script

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- add the initscript from joshua
- remove uselss define version
- add %post and %preun

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- nuke backspaces in HOWTO.txt (#4249).

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.9.

* Tue May 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- new ipchains-scripts release 1.1.2
- ipfwadm-wrapper should be called ipfwadm with symlink to old name
  (users can install old ipfwadm as ipfwadm.real if they wish)

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- obsolete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
